package cn.net.cpzslibs.prot.handset.bean;

import java.util.List;

public class Port10047PlantMachResBean {
	private int total;
	private int num_per;
	private int index;

	private List<Port10047PlantMachProList> plans;

	//返回错误包的时候
	private int errcode;
	private String errmsg;
	private int result;// 0：请求成功 1：遇到错误信息，返回错误码
	public int getTotal() {
		return total;
	}
	public void setTotal(int total) {
		this.total = total;
	}
	public int getNum_per() {
		return num_per;
	}
	public void setNum_per(int num_per) {
		this.num_per = num_per;
	}
	public int getIndex() {
		return index;
	}
	public void setIndex(int index) {
		this.index = index;
	}
	public List<Port10047PlantMachProList> getPlans() {
		return plans;
	}
	public void setPlans(List<Port10047PlantMachProList> plans) {
		this.plans = plans;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	
	
}
